<!--
  -    Copyright 2014-2023 IHE International
  -
  -    Licensed under the Apache License, Version 2.0 (the "License");
  -    you may not use this file except in compliance with the License.
  -    You may obtain a copy of the License at
  -
  -        http://www.apache.org/licenses/LICENSE-2.0
  -
  -    Unless required by applicable law or agreed to in writing, software
  -    distributed under the License is distributed on an "AS IS" BASIS,
  -    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  -    See the License for the specific language governing permissions and
  -    limitations under the License.
  -->

<ui:composition xmlns:f="http://java.sun.com/jsf/core" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <ui:decorate template="/questionnaire/editorTemplate.xhtml">
            <ui:param name="pageTitle" value="#{messages['net.ihe.gazelle.questionnaire.ATNAQuestionnaireEditor']})"/>
            <ui:param name="managedBean" value="#{atnaQuestionnaireEditor}"/>
            <ui:param name="instructionFile" value="/questionnaire/instruction.xhtml"/>
            <ui:define name="systemSelection">

                <h:panelGroup rendered="#{atnaQuestionnaireEditor.questionnaire == null}">
                    <h:form id="selectSisForm">
                        <ui:decorate template="/layout/panels/_panel.xhtml">
                            <div class="form-inline">
                                <ui:decorate template="/layout/form/_edit.xhtml">
                                    <ui:param name="id" value="systemInput"/>
                                    <ui:define name="label">#{messages['net.ihe.gazelle.questionnaire.System']}</ui:define>
                                    <h:selectOneMenu id="systemInput" value="#{atnaQuestionnaireEditor.selectedSystemInSession}"
                                                     required="true" styleClass="form-control">
                                        <f:selectItems value="#{atnaQuestionnaireEditor.systemsInSession}"/>
                                        <f:converter converterId="systemInSessionWrapperConverter"/>
                                    </h:selectOneMenu>
                                </ui:decorate>
                                <h:commandButton value="#{messages['net.ihe.gazelle.questionnaire.Ok']}" styleClass="gzl-btn"
                                                 action="#{atnaQuestionnaireEditor.initializeQuestionnaire()}"/>
                            </div>
                        </ui:decorate>
                    </h:form>
                </h:panelGroup>

            </ui:define>

            <ui:define name="extraEditButtons">
                <a4j:commandLink action="#{atnaQuestionnaireEditor.estimateRegistrationUpdate()}" styleClass="gzl-btn"
                                 oncomplete="jq162('#updateModal').modal('show');" render=":updateDiv,:updateActionForm,gazelle-messages"
                                 title="#{messages['net.ihe.gazelle.questionnaire.ReloadATNAQuestionnaireInboundoutboundTransactio']}">
                    <span class="gzl-icon-refresh"/>
                    <h:outputText value="#{messages['net.ihe.gazelle.questionnaire.UpdateQuestionnaireFromRegistration']}"/>
                </a4j:commandLink>
            </ui:define>

            <ui:define name="extraTlsButtons">
                <a4j:commandLink action="#{managedBean.estimateTlsTestUpdate()}" styleClass="gzl-btn"
                                 oncomplete="jq162('#updateTLSModal').modal('show');" render=":updateTLSDiv,:updateTLSActionForm,gazelle-messages"
                                 title="#{messages['net.ihe.gazelle.questionnaire.ComputeTheListOfTLSTestsToBePerformedAccordingTo']}">
                    <span class="gzl-icon-refresh"/>
                    <h:outputText value="#{messages['net.ihe.gazelle.questionnaire.ComputeListOfTLSTestsToBePerformed']}"/>
                </a4j:commandLink>
            </ui:define>

            <ui:define name="extraEditModal">
                <ui:include src="/questionnaire/questionnaireUpdate.xhtml">
                    <ui:param name="updateBean" value="#{atnaQuestionnaireEditor}"/>
                </ui:include>
                <ui:include src="/questionnaire/tlsTestsUpdate.xhtml">
                    <ui:param name="updateBean" value="#{atnaQuestionnaireEditor}"/>
                </ui:include>
            </ui:define>
        </ui:decorate>
    </ui:define>
</ui:composition>
